DescriptorProtos.FileDescriptorSetOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.FileDescriptorSetOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.FileDescriptorSet, DescriptorProtos.FileDescriptorSet.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.FileDescriptorSetOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.FileDescriptorProto` | `getFile(int index)` `repeated .google.protobuf.FileDescriptorProto file = 1;`
    `int` | `getFileCount()` `repeated .google.protobuf.FileDescriptorProto file = 1;`
    `java.util.List<DescriptorProtos.FileDescriptorProto>` | `getFileList()` `repeated .google.protobuf.FileDescriptorProto file = 1;`
    `DescriptorProtos.FileDescriptorProtoOrBuilder` | `getFileOrBuilder(int index)` `repeated .google.protobuf.FileDescriptorProto file = 1;`
    `java.util.List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>` | `getFileOrBuilderList()` `repeated .google.protobuf.FileDescriptorProto file = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getFileList

          java.util.List<DescriptorProtos.FileDescriptorProto> getFileList()

      `repeated .google.protobuf.FileDescriptorProto file = 1;`

    - #### getFile

          DescriptorProtos.FileDescriptorProto getFile(int index)

      `repeated .google.protobuf.FileDescriptorProto file = 1;`

    - #### getFileCount

          int getFileCount()

      `repeated .google.protobuf.FileDescriptorProto file = 1;`

    - #### getFileOrBuilderList

          java.util.List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder> getFileOrBuilderList()

      `repeated .google.protobuf.FileDescriptorProto file = 1;`

    - #### getFileOrBuilder

          DescriptorProtos.FileDescriptorProtoOrBuilder getFileOrBuilder(int index)

      `repeated .google.protobuf.FileDescriptorProto file = 1;`